# Change Log

## 0.82.5

- Fix setItemDictionaryFlag() and setItemDictionaryFlag() are overtly strict [#1989](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1989)

## 0.82.3 – 0.82.4

- Fix ItemSpellPF.getDefaultChargeFormula() cost of undefined [#1902](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1902)
- Hotfix (.1) corrects an infinite loop with spellbooks that don't use spellpoints.
- Hotfix (.2) corrects some version checking in this module that was wrong way around.

## 0.82.2

- Fix default on conditionals [#1674](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1674)
  - Misbehaviour fixed with `0.82.2.5`
- Fix advanced config being disarded [#1692](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1692)
- Fix basic vision range not working [#1693](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1693)
- Fix vision can't be disabled [#1695](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1695)
- Fix vision settings are disabled [#1681](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1681)
- Fix placed token size [#1679](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1679)
- Fix blindsense/-sight seeing through walls.
- Fix stacking bonuses [#1749](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1749)/[#1766](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1766) (Thanks to @DrMcCoy)

## 0.82.1

- Fix RollPF$1 errors.

## 0.82.0 – 0.82.2

- Fix FCB info missing from roll data [#1751](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1751)
- Fix disable low light being ignored [#1736](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1736)

## 0.81.0 – 0.81.3

- Fix conditional duplication.

## 0.76.7 – 0.81.0

- Fix migration of range.maxIncrements

## 0.81.0

- Fix weight editing.

## 0.80.23

- Fix basic actor handling in LLV: [#1435](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1435) [applied to 0.80.22 – 0.80.23]

## 0.80.22

- Forcibly disable PF1 Alt Sheet 0.7.6 or older to avoid senses data corruption.
- Fix actorless tokens failing to run vision update.

## 0.80.20

- getRollData fails if only shield is worn: [#1420](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1420)

## 0.80.19

- Aggressively discourage usage.
- Disables actor and item updates to avoid damage.

## 0.80.16 – 0.80.18

- Temp HP & health tracking issues: [#1406](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1406), [#1407](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1407)

## 0.80.16

- Missing template content: [#1399](https://gitlab.com/foundryvtt_pathfinder1e/foundryvtt-pathfinder1/-/issues/1399)

## 0.80.15.4

- NaN Power Attack fix with skipped dialogs: [#1350](https://gitlab.com/Furyspark/foundryvtt-pathfinder1/-/issues/1350)

## 0.80.15.3 Hotfix to keep ammo notification

## 0.80.15.2 Hotfix to fix module update not working correctly

## 0.80.15.1 Hotfix to repair chat card buttons misbehaving

## 0.80.15

- Inherit ammo recovery button disabling from 0.80.14

## 0.80.14

- Disable ammo recovery buttons to prevent damage to chat cards: [#1348](https://gitlab.com/Furyspark/foundryvtt-pathfinder1/-/issues/1348)

## 0.80.10

- Fix sheet render bug: [#1308](https://gitlab.com/Furyspark/foundryvtt-pathfinder1/-/issues/1308)

## 0.79.9 – 0.80.1

- Inject missing quantity field for items ([#1179](https://gitlab.com/Furyspark/foundryvtt-pathfinder1/-/issues/1179))

## 0.79.7

- Inheriting tokenHUD mitigation from 0.79.5.1

## 0.79.6.1

- Fix inverted condition debuffs.  
  This may require re-applying the condition.

## 0.79.6

- Inheriting tokenHUD mitigation from 0.79.5.1

## 0.79.5.1

- Fix token HUD bar updates to things like spellpoints.

## 0.79.5

- Allow opening the bestiary compendium browser.
